<VirtualHost *:441>
	ServerName game.ucm.dev
	ServerAlias gamedev au.game.ucm.dev us.game.ucm.dev
	DocumentRoot "/www/gamedev"
	ServerAdmin sam@ucm.dev
	ErrorLog logs/gamedev-error_log
	CustomLog logs/gamedev-access_log combined
	ScriptAlias /x/ /www/gamedev/x/
	ScriptAlias /a/ /www/gamedev/a/
	AddHandler cgi-script .cgi
	<Directory "/www/gamedev">
		Options +Indexes
		Options +FollowSymLinks -SymLinksIfOwnerMatch
		Require all granted
		AllowOverride All
	</Directory>
	<Directory "/www/gamedev/x">
		AllowOverride None
		Options +ExecCGI -MultiViews
		Options +FollowSymLinks -SymLinksIfOwnerMatch
		Require all granted
	</Directory>
	<Directory "/www/gamedev/a">
		AllowOverride None
		Options +ExecCGI -MultiViews
		Options +FollowSymLinks -SymLinksIfOwnerMatch
		AuthName "Admin Only"
		AuthType Basic
		AuthUserFile /www/gamedev/.htpasswd
		Require valid-user
	</Directory>
	<Directory "/www/gamedev/logout">
		AllowOverride None
		authname "Admin Only"
		authtype basic
		authuserfile /www/gamedev/logout/.htpasswd
		require valid-user
	</Directory>
	<Directory "/www/gamedev/log">
		Options +FollowSymLinks -SymLinksIfOwnerMatch
		AllowOverride None
		AuthName "Admin Only"
		AuthType Basic
		AuthUserFile /www/gamedev/.htpasswd
		Require valid-user
	</Directory>
	AddDefaultCharset utf-8
	RewriteEngine on
#	RewriteRule ^/example$ https://example.com/ [L]
	SSLCertificateFile /etc/letsencrypt/live/ucm.dev/fullchain.pem
	SSLCertificateKeyFile /etc/letsencrypt/live/ucm.dev/privkey.pem
	Include /etc/letsencrypt/options-ssl-apache.conf
</VirtualHost>
<VirtualHost *:441>
	ServerName gdfs.ucm.dev
	ServerAlias gdfs au.gdfs.ucm.dev us.gdfs.ucm.dev
	DocumentRoot "/www/gamedev"
	ServerAdmin sam@ucm.dev
	ErrorLog logs/gamedev-error_log
	CustomLog logs/gamedev-access_log combined
	RewriteEngine on
	RewriteRule (.*) https://game.ucm.dev%{REQUEST_URI} [L]
	SSLCertificateFile /etc/letsencrypt/live/ucm.dev/fullchain.pem
	SSLCertificateKeyFile /etc/letsencrypt/live/ucm.dev/privkey.pem
	Include /etc/letsencrypt/options-ssl-apache.conf
</VirtualHost>
<VirtualHost *:81>
	ServerName game.ucm.dev
	ServerAlias gamedev au.game.ucm.dev us.game.ucm.dev
	DocumentRoot "/www/gamedev"
	ServerAdmin sam@ucm.dev
	ErrorLog logs/gamedev-error_log
	CustomLog logs/gamedev-access_log combined
	RewriteEngine on
	RewriteRule (.*) https://%{HTTP_HOST}%{REQUEST_URI} [L]
</VirtualHost>
